<?php



/**

 * Widget area file for widgets and registers

 *

 * @package Echo7 Blog

 */



/**

 * Register widget area.

 *

 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar

 */

function echo7_blog_widgets_init() {

	register_sidebar( array(

		'name'			 => esc_html__( 'Sidebar', 'echo7-blog' ),

		'id'			 => 'sidebar-1',

		'description'	 => esc_html__( 'Add widgets here.', 'echo7-blog' ),

		'before_widget'	 => '<div id="%1$s" class="widget %2$s">',

		'after_widget'	 => '</div>',

		'before_title'	 => '<h3 class="widget-title">',

		'after_title'	 => '</h3>',

	) );



	register_sidebar( array(

		'name'			 => esc_html__( 'Footer 1', 'echo7-blog' ),

		'id'			 => 'footer-1',

		'description'	 => esc_html__( 'Add widgets here.', 'echo7-blog' ),

		'before_widget'	 => '<div id="%1$s" class="widget %2$s">',

		'after_widget'	 => '</div>',

		'before_title'	 => '<h3 class="widget-title">',

		'after_title'	 => '</h3>',

	) );

	register_sidebar( array(

		'name'			 => esc_html__( 'Footer 2', 'echo7-blog' ),

		'id'			 => 'footer-2',

		'description'	 => esc_html__( 'Add widgets here.', 'echo7-blog' ),

		'before_widget'	 => '<div id="%1$s" class="widget %2$s">',

		'after_widget'	 => '</div>',

		'before_title'	 => '<h3 class="widget-title">',

		'after_title'	 => '</h3>',

	) );

	register_sidebar( array(

		'name'			 => esc_html__( 'Footer 3', 'echo7-blog' ),

		'id'			 => 'footer-3',

		'description'	 => esc_html__( 'Add widgets here.', 'echo7-blog' ),

		'before_widget'	 => '<div id="%1$s" class="widget %2$s">',

		'after_widget'	 => '</div>',

		'before_title'	 => '<h3 class="widget-title">',

		'after_title'	 => '</h3>',

	) );

	register_sidebar( array(

		'name'			 => esc_html__( 'Footer 4', 'echo7-blog' ),

		'id'			 => 'footer-4',

		'description'	 => esc_html__( 'Add widgets here.', 'echo7-blog' ),

		'before_widget'	 => '<div id="%1$s" class="widget %2$s">',

		'after_widget'	 => '</div>',

		'before_title'	 => '<h3 class="widget-title">',

		'after_title'	 => '</h3>',

	) );

}



add_action( 'widgets_init', 'echo7_blog_widgets_init' );

